Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.splitstream.testing
Class MySplitStreamClient

    java.lang.Object
      rice.p2p.splitstream.testing.MySplitStreamClient

All Implemented Interfaces:
  SplitStreamClient

    public class MySplitStreamClient

extends java.lang.Object
implements SplitStreamClient

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Field Summary
`static int` | `msgSize` DESCRIBE THE FIELD
`static int` | `SEND_PERIOD` DESCRIBE THE FIELD

Constructor Summary
`MySplitStreamClient(PastryNode n, java.lang.String instance)` Constructor for MySplitStreamClient.

Method Summary
`void` | `attachChannel(ChannelId cid)` DESCRIBE THE METHOD
`void` | `deliver(Stripe s, byte[] data)` DESCRIBE THE METHOD
`Stripe[]` | `getStripes()` Gets the Stripes attribute of the MySplitStreamClient object
`void` | `joinFailed(Stripe s)` DESCRIBE THE METHOD
`void` | `publish(byte[] b, Stripe s)` DESCRIBE THE METHOD
`void` | `publish(Id id, int seq)` DESCRIBE THE METHOD
`void` | `publishAll(byte[] b)` DESCRIBE THE METHOD
`void` | `publishNext()` DESCRIBE THE METHOD
`boolean` | `shouldPublish()` DESCRIBE THE METHOD
`void` | `startPublishTask()`
`void` | `subscribeToAllChannels()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEND_PERIOD

    public static int SEND_PERIOD

  DESCRIBE THE FIELD

### msgSize

    public static int msgSize

  DESCRIBE THE FIELD

Constructor Detail

### MySplitStreamClient

    public MySplitStreamClient(PastryNode n,
                               java.lang.String instance)

  Constructor for MySplitStreamClient.

  Parameters:
    `n` - DESCRIBE THE PARAMETER
    `instance` - DESCRIBE THE PARAMETER

Method Detail

### getStripes

    public Stripe[] getStripes()

  Gets the Stripes attribute of the MySplitStreamClient object

  Returns:
    The Stripes value

### attachChannel

    public void attachChannel(ChannelId cid)

  DESCRIBE THE METHOD

  Parameters:
    `cid` - DESCRIBE THE PARAMETER

### subscribeToAllChannels

    public void subscribeToAllChannels()

  DESCRIBE THE METHOD

### shouldPublish

    public boolean shouldPublish()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### publishNext

    public void publishNext()

  DESCRIBE THE METHOD

### publish

    public void publish(Id id,
                        int seq)

  DESCRIBE THE METHOD

  Parameters:
    `id` - DESCRIBE THE PARAMETER
    `seq` - DESCRIBE THE PARAMETER

### publishAll

    public void publishAll(byte[] b)

  DESCRIBE THE METHOD

  Parameters:
    `b` - DESCRIBE THE PARAMETER

### publish

    public void publish(byte[] b,
                        Stripe s)

  DESCRIBE THE METHOD

  Parameters:
    `b` - DESCRIBE THE PARAMETER
    `s` - DESCRIBE THE PARAMETER

### joinFailed

    public void joinFailed(Stripe s)

  DESCRIBE THE METHOD

  Specified by:
    `joinFailed` in interface `SplitStreamClient`
  Parameters:
    `s` - DESCRIBE THE PARAMETER

### deliver

    public void deliver(Stripe s,
                        byte[] data)

  DESCRIBE THE METHOD

  Specified by:
    `deliver` in interface `SplitStreamClient`
  Parameters:
    `s` - DESCRIBE THE PARAMETER
    `data` - DESCRIBE THE PARAMETER

### startPublishTask

    public void startPublishTask()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.